package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the "density" database table.
 * 
 */
@Entity
@Table(name="\"density\"")
@NamedQuery(name="Density.findAll", query="SELECT d FROM Density d")
public class Density implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="\"dkey\"")
	private Integer dkey;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"value\"")
	private String value;

	public Density() {
	}

	public Integer getDkey() {
		return this.dkey;
	}

	public void setDkey(Integer dkey) {
		this.dkey = dkey;
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getValue() {
		return this.value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}