package com.mousetech.gourmetj.persistence.model;

import java.io.Serializable;
import jakarta.persistence.*;


/**
 * The persistent class for the "keylookup" database table.
 * 
 */
@Entity
@Table(name="\"keylookup\"")
@NamedQuery(name="Keylookup.findAll", query="SELECT k FROM Keylookup k")
public class Keylookup implements Serializable {
	private static final long serialVersionUID = 1L;

	@Column(name="\"count\"")
	private int count;

	@Id
	@Column(name="\"id\"")
	private int id;

	@Column(name="\"ingkey\"")
	private String ingkey;

	@Column(name="\"item\"")
	private String item;

	@Column(name="\"word\"")
	private String word;

	public Keylookup() {
	}

	public int getCount() {
		return this.count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public int getId() {
		return this.id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getIngkey() {
		return this.ingkey;
	}

	public void setIngkey(String ingkey) {
		this.ingkey = ingkey;
	}

	public String getItem() {
		return this.item;
	}

	public void setItem(String item) {
		this.item = item;
	}

	public String getWord() {
		return this.word;
	}

	public void setWord(String word) {
		this.word = word;
	}

}